# FieldType class

Field type

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: true, explicitToJson: false)

## Constructors

FieldType({required String name, required String fullName, required String normalizedName, CommonFieldType? commonType})
FieldType.fromJson(Map<String, dynamic> json)
  factory

## Properties

commonType ↔ CommonFieldType?
  optional common field type. Commonly occurring fields that have the same semantic meaning in different document types will often have a set common type.
  getter/setter pair
fullName ↔ String
  Unique global field type name prefixed with the document types of all containing documents.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
name ↔ String
  Local field type name scoped to the containing document type.
  getter/setter pair
normalizedName ↔ String
  Normalized global field type name. Fields in document types derived from the same base document type in the schema will have the same normalized name.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited